Bug 2264

Summary: Packages cannot be authenticated
Product: [Maemo Official Platform] Development platform Reporter: Graham Cobb <g+770>
Component: SDKAssignee: unassigned <nobody>
Status: RESOLVED FIXED QA Contact: sdk-bugs
Severity: enhancement    
Priority: High CC: ext-janne.p.johansson, quim.gil, soumya.3.bijjal
Version: unspecifiedKeywords: moreinfo
Target Milestone: 4.0+   
Hardware: ARM   
OS: Debian   

Description Graham Cobb (reporter) maemo.org 2007-11-12 16:14:40 UTC
EXPECTED OUTCOME: Having installed the chinook SDK, I then use apt-get to
install a package into the scratchbox environment (e.g. intltools, although any
will do).

ACTUAL OUTCOME: apt-get says:

WARNING: The following packages cannot be authenticated!
Install these packages without verification [y/N]?

To which I have to answer "y".

This breaks automatic installations, such as MUD uses, unless apt is told to
ignore the error using:

echo "APT::Get::AllowUnauthenticated 1 ;" >>/etc/apt/apt.conf

OTHER COMMENTS: I looked for a keyring package to install to allow
authentication but there doesn't seem to be one.  Neither is there a version of
gnupg in the SDK.
Comment 1 Terje Bergström nokia 2007-11-13 10:19:31 UTC
Enhancement request, adding Quim as Cc.
Comment 2 Carlos 2008-06-25 23:52:40 UTC
hi, i try to install  maemo sdk in ubuntu 8.04 and can install scracth box and 
next put the following conmands 
wget http://repository.maemo.org/stable/4.0/maemo-sdk-install_4.0.sh
chmod +x maemo-sdk-install_4.0.sh
./maemo-sdk-install_4.0.sh

i chose 4)Runtime Environment + All Dev and Dbg Packages 
and yes in binarian...

next the program, download packing but, i get the next message

Need to get 68.2MB of archives.
After unpacking 207MB of additional disk space will be used.
WARNING: The following packages cannot be authenticated!
and instanted download againd the packet and are a infite circle..

i have a 120 gb free space...
Comment 3 Janne Johansson nokia 2008-06-27 11:03:48 UTC
Please try to use the latest chinook installer found here:
http://repository.maemo.org/stable/4.0.1/maemo-sdk-install_4.0.1.sh
Comment 4 Quim Gil nokia 2008-12-29 17:10:42 UTC
Hi Graham & Soumya, is this still an issue?

Setting HIGH visibility.
Comment 5 Quim Gil nokia 2009-01-08 17:20:12 UTC
Ping?

Janne's Comment #3 suggests this was already fixed a while ago.
Comment 6 Graham Cobb (reporter) maemo.org 2009-01-09 21:35:26 UTC
Sorry, I am not in a position to re-install a Maemo 4.x dev environment at the
moment. As I can't help, I have no objection to closing this.

I will open a new bug if the problem is still present in the 5.0 SDK when I get
around to testing that!
Comment 7 Quim Gil nokia 2009-01-10 00:13:40 UTC
FIXED, then. Thanks!